package com.fjhx.form.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
public class OrderSummaryBo extends BasePo {
    /**
     * 订单号
     */
    private String contractCode;
    /**
     * 业务员
     */
    private Long salesmanId;
    private String salesmanName;
    /**
     * 跟单员
     */
    private Long merchUserId;
    private String merchUserName;
    /**
     * 订单性质
     */
    private String belongType;
    /**
     * 销售金额
     */
    private BigDecimal amount;
    /**
     * 订单出货金额（工厂供货价）
     */
    private BigDecimal factoryAmount;
    /**
     * 出货申请金额（实际出货的工厂供货价）
     */
    private BigDecimal sumOutFactoryMoney;
    /**
     * 已收定金
     */
    private BigDecimal deposit;
    /**
     * 差额调整
     */
    private String difference;
    /**
     * 是否可结算
     */
    private String isSettlement;
    /**
     * 结算开始时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date settleStartDate;
    /**
     * 结算结束时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date settleEndDate;
    /**
     * 订单类型
     */
    private String contractType;

    /**
     * 客户名称
     */
    private String customerName;
    private String customerShortName;
    /**
     * 应收金额
     */
    private BigDecimal receivableAmount;
    /**
     * 收款金额
     */
    private BigDecimal sumClaimMoney;
    /**
     * 未收金额
     */
    private BigDecimal outstandingAmount;
    /**
     * 出货日期（第一次出货）
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date firstTruckDate;

    /**
     * 账龄
     */
    private String accountAge;
}
